## org.hibernate.ejb
Interface HibernateEntityManagerImplementor.Options

Enclosing interface:
  HibernateEntityManagerImplementor

    public static interface HibernateEntityManagerImplementor.Options

Nested Class Summary
`static interface` `HibernateEntityManagerImplementor.Options.ResultMetadataValidator`

Method Summary
`Map<String,Class>` `getNamedParameterExplicitTypes()` Get the explicit parameter types.
`HibernateEntityManagerImplementor.Options.ResultMetadataValidator` `getResultMetadataValidator()`
`List<ValueHandlerFactory.ValueHandler>` `getValueHandlers()` Get the conversions for the individual tuples in the query results.

Method Detail

### getValueHandlers

    List<ValueHandlerFactory.ValueHandler> getValueHandlers()

  Get the conversions for the individual tuples in the query results.

  Returns:
    Value conversions to be applied to the JPA QL results

### getNamedParameterExplicitTypes

    Map<String,Class> getNamedParameterExplicitTypes()

  Get the explicit parameter types. Generally speaking these would apply to implicit named parameters.

  Returns:
    The

### getResultMetadataValidator

    HibernateEntityManagerImplementor.Options.ResultMetadataValidator getResultMetadataValidator()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.